Patch for #2269 (Issue startdate == adddate can be turned on/off)

2008-12-04 22:55 - Mischa The Evil

Status: Closed Start date: 2008-12-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Description

This is a quick patch to make the default behaviour of Redmine, regarding automatic filling of the startdate-field with today's date

when a new issue is created, configurable.

It seems that it relates/resolves the proposal of Jean-Philippe Lang in the notes of feature #2269.

The default setting is 0 which means that the startdate isn't filled automatically with today's date when new issues are created.

This seems the most obvious setting imho, though note that it is the opposite of current Redmine behaviour...

Configuring the setting to 1 means that the startdate is filled automatically with today's date when new issues are created. As

mentioned this is the current default behaviour of Redmine.

Related issues:

Related to Redmine - Feature #2269: Default issue start date should become co... Closed

Associated revisions

Revision 7733 - 2011-11-05 19:40 - Etienne Massip

Added an administration setting to allow issue start date to be defaulted to blank (nil) at issue creation (#2269).

Based on the patch of #2277 contributed by Mischa The Evil.

History

#1 - 2008-12-06 18:02 - Ludovic Gasc

+1

#2 - 2009-01-09 21:25 - Reach Everywhere

+1

#3 - 2009-03-23 15:22 - Dennis Møllegaard Pedersen

- File new_setting-issue_startdate_is_adddate-r2614.diff added

#4 - 2009-03-23 15:23 - Dennis Møllegaard Pedersen

I updated the patch to work against r2614. Any hints and comments are welcomed.

#5 - 2009-03-29 23:28 - Mischa The Evil

Dennis Møllegaard Pedersen wrote:

I updated the patch to work against r2614. Any hints and comments are welcomed.

 I have checked your iteration on the patch and it seems you've not only updated the patch but also improved it... :thumbsup:

#6 - 2009-05-22 00:52 - Mischa The Evil

- File new_setting-issue_startdate_is_adddate-r2761.diff added

I have updated Dennis' patch against Redmine trunk r2761 after discussion on IRC which also brought up the idea to make this global setting a per

project setting. Will take a look at that later...

#7 - 2010-10-12 01:00 - Mischa The Evil

- File new_setting-issue_startdate_is_adddate-r4249.diff added
I have rebased the patch against Redmine trunk r4249. None new features are integrated within the patch yet.

#8 - 2010-10-14 05:25 - Bruno Medeiros

- File new_setting-issue_startdate_is_adddate-r4214.diff added

I rebased the patch to the r4214 (version 1.0.2), just to make it easy to apply on this version.

BTW, I don't understand why this patch is not applied on trunk...

#9 - 2010-11-19 05:18 - Beau Simensen

+1

Is there a description of the process for getting patches applied to trunk? Something like this that has been in the system for two years... did the

submitter do something wrong? Or why is it still not in actual district?

#10 - 2010-12-02 03:13 - Mischa The Evil

- File ro2277-new_setting-issue_startdate_is_adddate-r4425.diff added

I have rebased the patch against the Redmine trunk at r4425 (source:/trunk@4425) and included the pt-BR translation provided by Bruno Medeiros in

note-8. Some core changes were affecting the applyability of the older patch file. None new features are integrated within the patch.

ToDo:

add test-cases to the patch

investigate and/or decide on idea to make this global setting a per project setting

get more feedback about YetAnotherCoreSetting for this feature

#11 - 2010-12-03 09:04 - Bruno Medeiros

- File ro2277-new_setting-issue_startdate_is_adddate-1.0.4.STABLE.4450.diff added

I merged the patch ro2277-new_setting-issue_startdate_is_adddate-r4425.diff and new_setting-issue_startdate_is_adddate-r4214.diff for the branch

1.0-stable.

#12 - 2011-01-15 08:00 - Beau Simensen

How can we get someone to consider putting this into Redmine core someday? Who should we be asking?

#13 - 2011-01-27 07:34 - Axel Müller

+1

Please make this configurable in the core with default to NOT fill in the start date automatically.

#14 - 2011-04-10 05:31 - Beau Simensen

How can we get someone to consider putting this into Redmine core someday? Who should we be asking? (again)

I dislike having to maintain my own copy of Redmine largely for the purpose of this patch. If there are concerns for why this should not be merged into

trunk can we discuss them?

#15 - 2011-04-14 05:34 - Ling Li

+1

The current default behavior of having "today" as the default start date is annoying.  Every time I had to remember to delete it.  Can this be merged

into the next release?

#16 - 2011-04-14 09:34 - Etienne Massip

- Target version set to Candidate for next major release

Agreed.

#17 - 2011-09-20 06:39 - Alex Last

+1   when are we going to have this "major release"?
#18 - 2011-10-17 16:38 - Lars Dornheim

- File patch-2277_new_setting-issue_startdate_is_adddate-1.1.0.diff added

I updated the patch for the 1.1.0 version and added a German translation.

This patch is really needed for us to clean our calendars from unnecessary begin dates.

+1

#19 - 2011-10-18 23:06 - Mischa The Evil

Lars Dornheim wrote:

I updated the patch for the 1.1.0 version and added a German translation.

 Thanks for doing so.

@ all: I still like to get some feedback on the ToDo's I've mentioned earlier in note#10:

add test-cases to the patch

investigate and/or decide on idea to make this global setting a per project setting

get more feedback about YetAnotherCoreSetting for this feature

#20 - 2011-10-21 13:28 - Szymon Nowak

I'm tyring to apply this patch in 1.2.1 but it's not working :( Is there any patch that works in current stable?

#21 - 2011-10-21 18:00 - Mischa The Evil

- File ro2277-new_setting-issue_startdate_is_adddate-1.2-STABLE-r7580.diff added

Szymon Nowak wrote:

I'm tyring to apply this patch in 1.2.1 but it's not working :( Is there any patch that works in current stable?

 I've rebased the patch against source:/branches/1.2-stable@7580 so it should be easier to merge the patch in Redmine 1.2.x.

If you have any other questions feel free to ask...

#22 - 2011-10-22 23:49 - Terence Mill

+1 for trunk

#23 - 2011-11-06 18:16 - Etienne Massip

- Status changed from New to Closed

- Target version deleted (Candidate for next major release)
